
From: Brice Goglin <Brice.Goglin@ens-lyon.org>

drivers/char/drm/drm_agpsupport.c:429:5: warning: "LINUX_VERSION_CODE"
is not defined

Signed-off-by: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: Dave Airlie <airlied@linux.ie>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/drm/drm_agpsupport.c |    5 -----
 1 files changed, 5 deletions(-)

diff -puN drivers/char/drm/drm_agpsupport.c~git-drm-drm_agpsupport-warning-fix drivers/char/drm/drm_agpsupport.c
--- devel/drivers/char/drm/drm_agpsupport.c~git-drm-drm_agpsupport-warning-fix	2005-08-21 21:43:15.000000000 -0700
+++ devel-akpm/drivers/char/drm/drm_agpsupport.c	2005-08-21 21:43:15.000000000 -0700
@@ -426,13 +426,8 @@ drm_agp_head_t *drm_agp_init(drm_device_
 		return NULL;
 	}
 	head->memory = NULL;
-#if LINUX_VERSION_CODE <= 0x020408
-	head->cant_use_aperture = 0;
-	head->page_mask = ~(0xfff);
-#else
 	head->cant_use_aperture = head->agp_info.cant_use_aperture;
 	head->page_mask = head->agp_info.page_mask;
-#endif
 
 	return head;
 }
_
